#ifndef _ROBOTWORK_H_
#define _ROBOTWORK_H_

#include "WebsocketConfig.h"

	typedef struct {
			int event_id;
			char name;
			int number;	
			char breastPieceInfo;
			char color[8];	
			char type[10];
			char commond[20];
			float point[2];
			float rotate;
			int servoId;
			int value;
			char tone[10];
			char action[20];
			float duration;
			float loopTimes;
			int speed;
			bool save;
			char fileName[10];
			char txt[20];
	}Robot;
	bool init2(); /*³õÊ¼»¯Á¬½Ó*/	
	void initRobot();
	void initPosition();
	void setName();
	void setColor();
	void servoMotorControl();
	void getActionLab();
	void playAction();
	void getSpeechText();
	void speak();
	void defineAction();
	void openColorDetect();
	void stopColorDetect();
	Robot robot; 
	int number2 = 0;  /*±àºÅ*/
	int event_id2 = 0;
	
#endif

